Attribute VB_Name = "DllFunctionsDeclares"
Option Explicit

'----------------------------------------------------------------------------
'----------------------------------------------------------------------------
'                                                AC Technology (C) 2002-2005
'                                                Simple Servo SS940
'                                                Function declarations for 940Control.dll
'Rev. 1.0   Initial release
'----------------------------------------------------------------------------
'----------------------------------------------------------------------------
'                                                Created by Sergey Lototsky
'                                                slototsky@actech.com
'----------------------------------------------------------------------------

'Error codes returned buy DLL


Public Const EC_CMD_NS = 0
Public Const EC_OK = 1
Public Const EC_VALUE_TOOSMALL = -1
Public Const EC_VALUE_TOOBIG = 2
Public Const EC_INVALID_HANDLE = 101
Public Const EC_TIMEOUT = 100
Public Const EC_COMPORT_ENABLED = 200
Public Const EC_COMPORT_FAILED = 201




'DLL library version 1.0 functions
'
Declare Function GetDllVersion Lib "SS940Control" () As Long
Declare Function SS940_EnableSerialInterface Lib "SS940Control" (ByVal port As Long, ByVal baudrate As Long) As Long
Declare Function SS940_DisableSerialInterface Lib "SS940Control" () As Long
Declare Function SS940_OpenInterfaceB Lib "SS940Control" (ip_address As Byte, ByVal timeout As Long) As Long
Declare Function SS940_CloseInterface Lib "SS940Control" (ByVal Handle As Long) As Long
Declare Function SS940_FindByName Lib "SS940Control" (ByVal name As String, ByRef ip_address As Byte, ByRef ser_num As Byte, ByVal timeout As Long)
Declare Function SS940_ReadParamAsDouble Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, param As Double) As Long
Declare Function SS940_ReadParamAsInteger Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, param As Long) As Long
Declare Function SS940_WriteParamAsDouble Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, ByVal param As Double) As Long
Declare Function SS940_WriteParamAsInteger Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, ByVal param As Long) As Long
Declare Function SS940_GetParamAsDouble Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, param As Double) As Long
Declare Function SS940_GetParamAsInteger Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, param As Long) As Long
Declare Function SS940_SetParamAsDouble Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, ByVal param As Double) As Long
Declare Function SS940_SetParamAsInteger Lib "SS940Control" (ByVal Handle As Long, ByVal pid As Long, ByVal param As Long) As Long

'List read/write functions

Declare Function SS940_GetArrayAsDouble Lib "SS940Control" (ByVal Handle As Long, pids As Byte, params As Double, count As Long) As Long
Declare Function SS940_GetArrayAsInteger Lib "SS940Control" (ByVal Handle As Long, pids As Byte, params As Long, count As Long) As Long
Declare Function SS940_SetArrayAsDouble Lib "SS940Control" (ByVal Handle As Long, pids As Long, params As Double, count As Long) As Long
Declare Function SS940_SetArrayAsInteger Lib "SS940Control" (ByVal Handle As Long, pids As Long, params As Long, count As Long) As Long








